#ifndef L2GNRLGFX
#define L2GNRLGFX

void DrawRect(int x, int y, int w, int h)
{
    glBegin(GL_LINE_LOOP);
        glVertex2d(x, y);
        glVertex2d(x+w, y);
        glVertex2d(x+w, y+h);
        glVertex2d(x, y+h);
    glEnd();
}

void DrawRectCoords(int x1, int y1, int x2, int y2)
{
    glBegin(GL_LINE_LOOP);
        glVertex2d(x1, y1);
        glVertex2d(x2, y1);
        glVertex2d(x2, y2);
        glVertex2d(x1, y2);
    glEnd();
}

void ClearRect(int x, int y, int w, int h)
{
    glBegin(GL_QUADS);
        glVertex2d(x, y);
        glVertex2d(x+w, y);
        glVertex2d(x+w, y+h);
        glVertex2d(x, y+h);
    glEnd();
}

void ClearRectCoords(int x1, int y1, int x2, int y2)
{
    glBegin(GL_QUADS);
        glVertex2d(x1, y1);
        glVertex2d(x2, y1);
        glVertex2d(x2, y2);
        glVertex2d(x1, y2);
    glEnd();
}

#endif
